Page MenuHomePhabricator

Implement MCR page update legacy version
Closed, InvalidPublic

Description

Implement the new MCR page update interface on top of the old database schema. Only the main slot is supported.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

daniel created this task.Aug 24 2017, 2:55 PM
daniel renamed this task from Implement MCR page update legacy dummy to Implement MCR page update legacy version.Aug 24 2017, 4:18 PM
daniel moved this task from Inbox to Backlog on the MediaWiki-Platform-Team board.Aug 24 2017, 4:24 PM
daniel claimed this task.
daniel moved this task from Inbox to Done on the Multi-Content-Revisions board.
thiemowmde triaged this task as Normal priority.Dec 11 2017, 4:06 PM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 18 2017, 3:12 PM

Change 392089 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] [WIP][MCR] Split WikiPage class

https://gerrit.wikimedia.org/r/392089

Change 392310 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] [MCR] Introduce PageIdentity, and use it instead of Title.

https://gerrit.wikimedia.org/r/392310

Abit added a subscriber: Abit.Mar 29 2018, 11:59 PM

Change 392089 abandoned by Daniel Kinzler:
[WIP][MCR] Split WikiPage class

https://gerrit.wikimedia.org/r/392089